Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`, `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance.SwimlaneContextInstance

      public static final class JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>
      implements JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `build()` |
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `buildPartial()` |
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `clear()` |
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `clearActorId()` | `optional string actor_id = 2;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `clearSwimlane()` | `optional string swimlane = 1;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `clone()` |
    `String` | `getActorId()` | `optional string actor_id = 2;`
    `com.google.protobuf.ByteString` | `getActorIdBytes()` | `optional string actor_id = 2;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `String` | `getSwimlane()` | `optional string swimlane = 1;`
    `com.google.protobuf.ByteString` | `getSwimlaneBytes()` | `optional string swimlane = 1;`
    `boolean` | `hasActorId()` | `optional string actor_id = 2;`
    `boolean` | `hasSwimlane()` | `optional string swimlane = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `mergeFrom​(JBPMMessages.ProcessInstance.SwimlaneContextInstance other)` |
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `setActorId​(String value)` | `optional string actor_id = 2;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `setActorIdBytes​(com.google.protobuf.ByteString value)` | `optional string actor_id = 2;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `setSwimlane​(String value)` | `optional string swimlane = 1;`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `setSwimlaneBytes​(com.google.protobuf.ByteString value)` | `optional string swimlane = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder mergeFrom​(JBPMMessages.ProcessInstance.SwimlaneContextInstance other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                 throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>`
      Throws:
        `IOException`

    - #### hasSwimlane

          public boolean hasSwimlane()

      `optional string swimlane = 1;`
      Specified by:
        `hasSwimlane` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getSwimlane

          public String getSwimlane()

      `optional string swimlane = 1;`
      Specified by:
        `getSwimlane` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getSwimlaneBytes

          public com.google.protobuf.ByteString getSwimlaneBytes()

      `optional string swimlane = 1;`
      Specified by:
        `getSwimlaneBytes` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### setSwimlane

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder setSwimlane​(String value)

      `optional string swimlane = 1;`

    - #### clearSwimlane

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder clearSwimlane()

      `optional string swimlane = 1;`

    - #### setSwimlaneBytes

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder setSwimlaneBytes​(com.google.protobuf.ByteString value)

      `optional string swimlane = 1;`

    - #### hasActorId

          public boolean hasActorId()

      `optional string actor_id = 2;`
      Specified by:
        `hasActorId` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getActorId

          public String getActorId()

      `optional string actor_id = 2;`
      Specified by:
        `getActorId` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getActorIdBytes

          public com.google.protobuf.ByteString getActorIdBytes()

      `optional string actor_id = 2;`
      Specified by:
        `getActorIdBytes` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### setActorId

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder setActorId​(String value)

      `optional string actor_id = 2;`

    - #### clearActorId

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder clearActorId()

      `optional string actor_id = 2;`

    - #### setActorIdBytes

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder setActorIdBytes​(com.google.protobuf.ByteString value)

      `optional string actor_id = 2;`